Supported Browsers and System Requirements for Using D2L

Below is a chart showing the system and software requirements for running D2L.

You can also perform a quick system check to see if your set-up meets the basic requirements. Click here to do a system check.

Show me how to check my system.

Minimum System Requirements for this Release

All known issues with Internet Explorer 7 and Firefox 2 have been resolved.

Component

Required

Recommended

Operating System

Windows 98, 98SE, ME, 2000, 2003, XP, Vista

Windows XP Service Pack 2
Mac OS X 10.41

Video

800 x 600 minimum resolution

1024 x 768 resolution

Internet Speed

56K modem

High-speed Internet (Cable, DSL) View service providers.

Browser (Windows)

Firefox 1.5 and higher
Internet Explorer 6 and higher
Netscape 7.2
Mozilla 1.3 to 1.7

Firefox 2.0
Internet Explorer 7

Browser (Mac OS X) 1

Firefox 1.5 and higher
Safari 1.5 and higher 3
Netscape 7.2
Mozilla 1.3 to 1.7

Firefox 2.0

Java 2

1.4 and higher

1.5

Javascript

Enabled

Cookies

Enabled

1 At this time, Intel Macs are not currently supported.
2 Java 6 (Java 1.6) is not currently supported.
3 Safari 1.5 and 2 are now supported.